Bug 1477043 - OpenShift Registry console shows duplicate image layers
OpenShift Registry console shows duplicate image layers
Product: OpenShift Container Platform
Classification: Red Hat
Component: Registry Console (Show other bugs)
Unspecified Unspecified
unspecified Severity medium
: ---
: 3.7.0
Assigned To: Peter
Depends On:
  Show dependency treegraph
Reported: 2017-08-01 02:44 EDT by Alexander Koksharov
Modified: 2017-11-28 17:06 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2017-11-28 17:06:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
registry console (203.56 KB, image/png)
2017-08-01 02:44 EDT, Alexander Koksharov
no flags Details
OCP36-Registry-Console (62.10 KB, image/png)
2017-08-02 22:33 EDT, yapei
no flags Details
OCP35-Registry-Console (64.00 KB, image/png)
2017-08-03 02:18 EDT, yapei
no flags Details
registry-console-ocp37-cockpit147 (213.82 KB, image/png)
2017-09-26 05:11 EDT, yapei
no flags Details

  None (edit)
Description Alexander Koksharov 2017-08-01 02:44:36 EDT
Created attachment 1307386 [details]
registry console

Description of problem:

After updating Registry to 3.5 version, (registry console was updated too), the console shows duplicate image layers. This didn't happen in previous versions, we believe is  a bug as layers should be showed only once.

Please see attached screenshot.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

Actual results:

Expected results:

Additional info:
Comment 1 Peter 2017-08-01 02:47:45 EDT
This is fixed in cockpit 146 or >. 

Generally cockpit-kubernetes and the registry do not work well most 3.5 versions. There is a bug in origin itself that broke functionality.
Comment 5 yapei 2017-08-02 22:33 EDT
Created attachment 1308540 [details]

On OCP v3. and cockpit 147, this issue is not reproduced, please see my attachment
Comment 6 yapei 2017-08-03 02:18 EDT
Created attachment 1308547 [details]

Also checked on an earlier version of Cockpit 135, not reproduced either, please check attachment.
Comment 10 yapei 2017-09-26 05:11 EDT
Created attachment 1330938 [details]

Checked on latest OCP 3.7 v3.7.0-0.127.0 and cockpit 147,

No duplicate image layers shown on registry console, move to VERIFIED
Comment 13 errata-xmlrpc 2017-11-28 17:06:30 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.